var widget, images, weightValues, weightSets;

//Startup on ready
jQuery(function(){
	//Hide the backend and show the frontend
	$('#backend').hide();
	$('#frontend').show();
	$('#info').hide();
	
	images = {};
		
	//The available weight sets for the application
	weightSets = {
		"milligrams" : {
			"description" : "mg",
			"textInputMultiplyer": 1,
			"textInputLabel": "mg",
			"availableWeights" : [1, 2, 5, 10, 20, 50, 100, 200, 500],
			"format" : "metric",
			"round" : false
		},
		"grams" : {
			"description" : "g",
			"textInputMultiplyer": 1000,
			"textInputLabel": "g",
			"availableWeights" : [1000, 2000, 5000, 10000, 20000, 50000, 100000, 200000, 500000],
			"format" : "metric",
			"round" : false
		},
		"kilograms" : {
			"description" : "kg",
			"textInputMultiplyer": 1000000,
			"textInputLabel": "kg",
			"availableWeights" : [1000000, 2000000, 5000000, 10000000, 20000000, 50000000, 100000000, 200000000, 500000000],
			"format" : "metric",
			"round" : false			
		},
		"milligrams_grams" : {
			"description" : "mg - g",
			"textInputMultiplyer": 1000,
			"textInputLabel": "g",
			"availableWeights" : [1, 2, 5, 10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 10000, 20000],
			"format" : "metric",
			"round" : false
		},
		"grams_kilograms" : {
			"description" : "g - kg",
			"textInputMultiplyer": 1000000,
			"textInputLabel": "kg",
			"availableWeights" : [1000, 2000, 5000, 10000, 20000, 50000, 100000, 200000, 500000, 1000000, 2000000, 5000000, 10000000, 20000000],
			"format" : "metric",
			"round" : false
		},
		"customary" : {
			"description" : "customary",
			"textInputMultiplyer": 1,
			"textInputLabel": "oz",
			"availableWeights" : [1, 2, 4, 16, 32, 64],
			"format" : "customary",
			"round" : true
		},
		"imperial" : {
			"description" : "customary",
			"textInputMultiplyer": 1,
			"textInputLabel": "oz",
			"availableWeights" : [1, 2, 4, 16, 32, 64],
			"format" : "customary",
			"round" : true
		}
	};
	
	var manifest = [
		{src:"assets/ScalesPlateBottom.png", id:"ScalesPlateBottom"},
		{src:"assets/ScalesPlate.png", id:"ScalesPlate"},
		{src:"assets/ScalesPlateHub.png", id:"ScalesPlateHub"},
		{src:"assets/ScalesPlateBar.png", id:"ScalesPlateBar"},
		{src:"assets/WeigingScalesBottomContainer.png", id:"WeigingScalesBottomContainer"},
		{src:"assets/Weight.png", id:"Weight"},
		{src:"assets/WeigingScalesWeightDisplayBG.png", id:"WeigingScalesWeightDisplayBG"},
		{src:"assets/WeigingScalesBottomShade.png", id:"WeigingScalesBottomShade"},
		{src:"assets/WeigingScalesFloor.png", id:"WeigingScalesFloor"},
		{src:"assets/ScalesCentreBlock.png", id:"ScalesCentreBlock"},
		{src:"assets/ScalesCentreHub.png", id:"ScalesCentreHub"},
		{src:"assets/WeigingScalesTopDisplay.png", id:"WeigingScalesTopDisplay"}
	];

	var loader = new PreloadJS(false);
	loader.onFileLoad = function(o) {
		if (o.type == "image") { images[o.id] = o.result; }
	}
	
	loader.onComplete = function() {
		console.log("onComplete");
		
		//Init the stage
		var canvas = document.getElementById("stage");
		widget = new WeigingScaleWidget(canvas);
	};
	loader.loadManifest(manifest);
});





